Cancel a Payment

Cancels a payment by its ID.

Path parameters

paymentIdstringRequiredformat: "uuid"

Identifier of the payment to be canceled. (In the transaction-based model, this is the transactionId.)

Request

This endpoint expects an object.
reasonstringOptional
Reason for cancellation.

Response

Payment canceled successfully.
statusstring
Current transaction status.
transactionIdstring
Unique identifier for the transaction.
messagestring

Human-readable status message.

authStateobject

Indicates additional steps required to complete a transaction. The shape varies by payment method and processor. Use type to determine which fields are present.

processorNamestring

Name of the payment processor (if assigned).

processorReferencestring

Processor reference (if available).

paymentAttributesmap from strings to strings
Attributes associated with the payment.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error